Subject: Re: [PATCH 1/3] t3700: note a .gitignore matching fault

From: Johannes Sixt <[email-masked]>
Date: Mon, 02 May 2011 17:01:58 +0200

Am 5/2/2011 14:55, schrieb Nguyễn Thái Ngọc Duy:
> .gitignore support both positive and negative patterns. One may negate
> the other. Current code works well if both patterns target files in
> the same directory.
> 
> When a pattern targets a directory and an opposite pattern targets
> some files/directories within that directory, we need to descend in
> the directory until we're clear which ones are matched and which are
> not.
> 
> excluded_from_list() fails to handle this case. It too eagerly decides
> the fate of the whole directory without looking further in.

This has been debated just recently, and I don't think the current
behavior is broken. See

http://thread.gmane.org/gmane.comp.version-control.git/169913
http://thread.gmane.org/gmane.comp.version-control.git/157190/focus=157196

-- Hannes